wpasupplicant_1.0-3+deb7u3_amd64.deb


Advertisement

Description

wpasupplicant - client support for WPA and WPA2 (IEEE 802.11i)

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name wpasupplicant
Package version 1.0
Package release 3+deb7u3
Package architecture amd64
Package type deb
Installed size 1.33 KB
Download size 594.51 KB
Official Mirror ftp.br.debian.org
WPA and WPA2 are methods for securing wireless networks, the former
using IEEE 802.1X, and the latter using IEEE 802.11i. This software
provides key negotiation with the WPA Authenticator, and controls
association with IEEE 802.11i networks.

Alternatives

Package Version Architecture Repository
wpasupplicant_2.3-1+deb8u4.1~debwrt70+3_amd64.deb 2.3 amd64 DebWrt Unstable
wpasupplicant_2.3-1+deb8u4.1~debwrt70+3_amd64.deb 2.3 amd64 DebWrt Stable
wpasupplicant_1.0-3+deb7u5_i386.deb 1.0 i386 Debian Security Updates Main
wpasupplicant_1.0-3+deb7u5_amd64.deb 1.0 amd64 Debian Security Updates Main
wpasupplicant_1.0-3+deb7u3_i386.deb 1.0 i386 Debian Main
wpasupplicant - - -

Requires

Name Value
adduser -
initscripts >= 2.88dsf-13.3
libc6 >= 2.4
libdbus-1-3 >= 1.1.4
libncurses5 >= 5.5-5~
libnl-3-200 >= 3.2.7
libnl-genl-3-200 >= 3.2.7
libpcsclite1 -
libreadline5 >= 5.2
libssl1.0.0 >= 1.0.0
libtinfo5 -
lsb-base >= 3.0-6

Download

Type URL
Binary Package wpasupplicant_1.0-3+deb7u3_amd64.deb
Source Package wpa

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install wpasupplicant deb package:
    # sudo apt-get install wpasupplicant

Files

Path
/etc/dbus-1/system.d/wpa_supplicant.conf
/etc/ifplugd/action.d/action_wpa
/etc/network/if-down.d/wpasupplicant
/etc/network/if-post-down.d/wpasupplicant
/etc/network/if-pre-up.d/wpasupplicant
/etc/network/if-up.d/wpasupplicant
/etc/wpa_supplicant/action_wpa.sh
/etc/wpa_supplicant/functions.sh
/etc/wpa_supplicant/ifupdown.sh
/lib/systemd/system/wpa_supplicant.service
/sbin/wpa_action
/sbin/wpa_cli
/sbin/wpa_supplicant
/usr/bin/wpa_passphrase
/usr/lib/pm-utils/sleep.d/60_wpa_supplicant
/usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
/usr/share/dbus-1/system-services/fi.w1.wpa_supplicant1.service
/usr/share/doc/wpa_supplicant
/usr/share/doc/wpasupplicant/NEWS.Debian.gz
/usr/share/doc/wpasupplicant/README-P2P.gz
/usr/share/doc/wpasupplicant/README-WPS.gz
/usr/share/doc/wpasupplicant/README.Debian.gz
/usr/share/doc/wpasupplicant/README.gz
/usr/share/doc/wpasupplicant/README.modes.gz
/usr/share/doc/wpasupplicant/changelog.Debian.gz
/usr/share/doc/wpasupplicant/changelog.gz
/usr/share/doc/wpasupplicant/copyright
/usr/share/doc/wpasupplicant/examples/ieee8021x.conf
/usr/share/doc/wpasupplicant/examples/openCryptoki.conf
/usr/share/doc/wpasupplicant/examples/plaintext.conf
/usr/share/doc/wpasupplicant/examples/udhcpd-p2p.conf
/usr/share/doc/wpasupplicant/examples/wep.conf
/usr/share/doc/wpasupplicant/examples/wpa-psk-tkip.conf
/usr/share/doc/wpasupplicant/examples/wpa-roam.conf
/usr/share/doc/wpasupplicant/examples/wpa2-eap-ccmp.conf
/usr/share/doc/wpasupplicant/examples/wpa_supplicant.conf.gz
/usr/share/lintian/overrides/wpasupplicant
/usr/share/man/man5/wpa_supplicant.conf.5.gz
/usr/share/man/man8/wpa_action.8.gz
/usr/share/man/man8/wpa_background.8.gz
/usr/share/man/man8/wpa_cli.8.gz
/usr/share/man/man8/wpa_passphrase.8.gz
/usr/share/man/man8/wpa_supplicant.8.gz

Changelog

2015-10-31 - Salvatore Bonaccorso <carnil@debian.org>
wpa (1.0-3+deb7u3) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* Add patch to address CVE-2015-4141.
CVE-2015-4141: WPS UPnP vulnerability with HTTP chunked transfer
encoding. (Closes: #787372)
* Add patch to address CVE-2015-4142.
CVE-2015-4142: Integer underflow in AP mode WMM Action frame processing.
(Closes: #787373)
* Add patches to address CVE-2015-4143.
CVE-2015-4143: EAP-pwd missing payload length validation. (Closes: #787371)
* Add patch to address 2015-5 vulnerability.
NFC: Fix payload length validation in NDEF record parser.
Note that this issue does not affect the binary packages distributed in
Debian in Wheezy as CONFIG_WPS_NFC=y is not set in the build
configuration. (Closes: #795740)
2015-04-23 - Stefan Lippers-Hollmann <s.l-h@gmx.de>
wpa (1.0-3+deb7u2) wheezy-security; urgency=high
* import "P2P: Validate SSID element length before copying it
(CVE-2015-1863)" from upstream (Closes: #783148); this is essentially a
no-op for the wheezy binaries distributed by Debian, as CONFIG_P2P is
disabled there.
2014-10-15 - Stefan Lippers-Hollmann <s.l-h@gmx.de>
wpa (1.0-3+deb7u1) wheezy-security; urgency=high
* Apply upstream patches for CVE-2014-3686 (Closes: #765352):
- add os_exec() helper to run external programs
- wpa_cli: Use os_exec() for action script execution
- hostapd_cli: Use os_exec() for action script execution
2012-10-08 - Stefan Lippers-Hollmann <s.l-h@gmx.de>
wpa (1.0-3) unstable; urgency=high
* ship forgotten README-P2P.
* revert to GNU readline for wpa_cli, instead of using the internal readline
implementation added in wpa 1~. Prefer libreadline-gplv2-dev, because libnl
is GPL-2 (only) - switching back to the internal readline implementation is
targeted for wheezy+1 (Closes: #677993, #678077).
* Fix DoS via specially crafted EAP-TLS messages with longer message
length than TLS data length (CVE-2012-4445, DSA 2557-1, Closes: #689990).
2012-05-14 - Kel Modderman <kel@otaku42.de>
wpa (1.0-2) unstable; urgency=low
* Really enable hardened build flags, thanks Simon Ruderich
<simon@ruderich.org>. (Closes: #657332)
* Do not suppress compilation output, set V=1.
2012-05-11 - Kel Modderman <kel@otaku42.de>
wpa (1.0-1) unstable; urgency=low
[ Stefan Lippers-Hollmann ]
* New upstream release, no code changes since 1.0~rc3.
* upload to unstable, to fix FTBS with gcc-4.7.
* update debian/README.source.
[ Kel Modderman ]
* No longer explicitly add --as-needed to LDFLAGS, it is no longer
required since wpa_cli stopped linking to libreadline (WPA_CLI_EDIT=y).

See Also

Package Description
wpd2odt_0.8.1-4_amd64.deb WordPerfect to OpenDocument converter
wpg2odg_0.8.1-4_amd64.deb WordPerfect Graphics to OpenDocument converter
wpolish_20120520-1_all.deb Polish dictionary words for /usr/share/dict
wportuguese_20120604-1_all.deb European Portuguese wordlist
wpp_2.13.1.35-3_all.deb The Web Preprocessor - a Perl script to preprocess HTML files
wps2odt_0.8.1-4_amd64.deb Works text documents to OpenDocument converter
wput_0.6.2-3_amd64.deb tiny wget-like ftp-client for uploading files
wraplinux_1.7-7_amd64.deb Utility to wrap a Linux kernel and initrd into an ELF or NBI file
wrapperfactory.app_0.1.0-4+b3_amd64.deb Application wrappers configuration tool for GNUstep
wrapsrv_0.2-1_amd64.deb DNS SRV record command line wrapper
wreport-common_2.4-1_amd64.deb common data files for libwreport
writer2latex-manual_1.0.2-8_all.deb OpenOffice.org Writer/Calc to LaTeX/XHTML converter -- manual
writer2latex_1.0.2-8_all.deb OpenOffice.org Writer/Calc to LaTeX/XHTML converter
writetype_1.2.130+bzr139-1_all.deb application designed to help students write more easily
wsjt_5.9.7.r383-1.6_amd64.deb weak-signal amateur radio communications
Advertisement
Advertisement